%define modname	Devel-StackTrace
Name:           perl-%{modname}
Version:        1.15
Release:        1
Summary:        Stack Trace and Stack Trace Frame Objects
Requires:       perl = %{perl_version}
BuildRequires:  perl
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root

%description
Simple objects to deal with stack traces. The parent object, Devel::StackTrace,
holds a number of Devel::StackTraceFrame objects (which have the same
information as is returned from caller()). You can step through these frames
forwards and backwards as you want or retrieve specific frames.

Authors:
--------
    Dave Rolsky, <autarch@urth.org>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Changes LICENSE README
%doc %{_mandir}/man?/*
#%{perl_vendorlib}/
#%{perl_vendorarch}/auto/
/var/adm/perl-modules/%{name}

%changelog

* Thu Nov 01 2007 - James Oakley <jfunk@funktronics.ca> - 1.15-1
- Initial release
